Delete Report
DELETEhttps://api.confident-ai.com/v1/reports/{reportId}
Permanently deletes a report and all of its sections.
curl -X DELETE "https://api.confident-ai.com/v1/reports/{reportId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "REPORT-ID"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
reportIdstringRequiredThe id of the report.
Response
The id of the deleted report.
successbooleanIndicates if the request was successful.
dataobjectThe id of the affected report.
Show 1 propertyHide 1 property
idstringThe id of the affected report.
linkstringReturned when creating a report — the URL where a person can read it in Confident AI. Absent on delete, and once the report's template has been deleted.
deprecatedbooleanIndicates if this endpoint is deprecated.